%
%   Copyright (C) 2013  PIERRE Fabien.
%   All rights reserved.
%   Read license.txt.
%
%   DATE   : 9 juillet 2013.
%
%  Ce script permet de compiler les fichiers .c necessaire au bon
%  fonctionnement de la toolbox, et de tester les fonctions.
%


clear all, close all, clc

disp('Compilation.')
mex CFLAGS="\$CFLAGS -std=c99" block_DCT.c -output block_DCT
mex CFLAGS="\$CFLAGS -std=c99" block_IDCT.c -output block_IDCT
  
load lena

tic
u=block_DCT(Im);
toc

figure
imagesc(u)
title('DCT par bloc 8x8.')
axis off
colormap gray

tic
w= block_IDCT(u);
toc

figure
imagesc(w)
title('Lena retrouvee.')
axis off
colormap gray

disp('Execution terminee !')
